diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
index e2c31cf5a248049db3a9942c88adb96e0f8322ec..7ea2d6fb86988b7461485a8017e406679a5493ba 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
@@ -79,7 +79,7 @@ public class CertificatePoliciesExt extends APolicyRule
     protected int mNumCertPolicies = DEF_NUM_CERTPOLICIES;
     protected CertPolicy[] mCertPolicies = null;
 
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
     protected CertificatePoliciesExtension mCertificatePoliciesExtension = null;
 
     public CertificatePoliciesExt() {
@@ -132,7 +132,7 @@ public class CertificatePoliciesExt extends APolicyRule
         // create instance of certificate policy extension if enabled.
         if (mEnabled) {
             try {
-                Vector CertPolicies = new Vector();
+                Vector<CertificatePolicyInfo> CertPolicies = new Vector<CertificatePolicyInfo>();
 
                 for (int j = 0; j < mNumCertPolicies; j++) {
                     CertPolicies.addElement(
@@ -239,7 +239,7 @@ public class CertificatePoliciesExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mInstanceParams;
     }
 
@@ -249,7 +249,7 @@ public class CertificatePoliciesExt extends APolicyRule
      * increase the num to greater than 0 and more configuration params
      * will show up in the console.
      */
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         mDefParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
         mDefParams.addElement(
@@ -274,12 +274,12 @@ public class CertificatePoliciesExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefParams;
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector theparams = new Vector();
+        Vector<String> theparams = new Vector<String>();
 
         theparams.addElement(PROP_CRITICAL + ";boolean;RFC 3280 recommendation: MUST be non-critical.");
         theparams.addElement(PROP_NUM_CERTPOLICIES
@@ -445,7 +445,7 @@ class CertPolicy {
                 // should add a method to NoticeReference to take a
                 // Vector...but let's do this for now
 
-                Vector numsVector = new Vector();
+                Vector<String> numsVector = new Vector<String>();
                 StringTokenizer tokens = new StringTokenizer(mNoticeRefNums,
                         ",");
 
@@ -458,7 +458,7 @@ class CertPolicy {
                 nums = new int[numsVector.size()];
 
                 for (int i = 0; i < numsVector.size(); i++) {
-                    Integer ii = new Integer((String) numsVector.elementAt(i));
+                    Integer ii = new Integer(numsVector.elementAt(i));
 
                     nums[i] = ii.intValue();
                 }
@@ -516,7 +516,7 @@ class CertPolicy {
         }
     }
 
-    protected void getInstanceParams(Vector instanceParams) {
+    protected void getInstanceParams(Vector<String> instanceParams) {
         instanceParams.addElement(
                 mNameDot + PROP_POLICY_IDENTIFIER + "=" + (mPolicyId == null ? "" :
                         mPolicyId));
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
index 305c11b2e0f2b0bea287e045f6b86f1039c80c47..28366ade84ae2a8fff6d986e29971ae75db0d4ba 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
@@ -210,7 +210,7 @@ public class CertificateRenewalWindowExt extends APolicyRule
                         ";configuration-policyrules-certificaterenewalwindow",
                 IExtendedPluginInfo.HELP_TEXT +
                         ";Adds 'Certificate Renewal Window' extension. See manual"
-            };
+        };
 
         return params;
 
@@ -221,8 +221,8 @@ public class CertificateRenewalWindowExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_CRITICAL + "=" + mCritical);
         if (mBeginTime == null) {
@@ -243,8 +243,8 @@ public class CertificateRenewalWindowExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         defParams.addElement(PROP_BEGIN_TIME + "=");
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java
index 88ffb4dff7b0b92d7f03c85a5e57cc079002aca7..b385923af7b97ec055e18af2e896e7f803723247 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java
@@ -78,7 +78,7 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         v.addElement(PROP_CRITICAL +
                 ";boolean; This extension may be either critical or non-critical.");
@@ -89,10 +89,10 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
 
         for (int i = 0; i < MAX_ENTRY; i++) {
             v.addElement(PROP_ENTRY + Integer.toString(i) + "_" + PROP_NAME + ";" + IGeneralNameUtil.GENNAME_VALUE_INFO);
-            v.addElement(PROP_ENTRY + Integer.toString(i) + "_" + PROP_NAME_TYPE + ";"
-                    + IGeneralNameUtil.GENNAME_CHOICE_INFO);
-            v.addElement(PROP_ENTRY + Integer.toString(i) + "_" + PROP_PORT_NUMBER + ";string;"
-                    + "The port number (optional).");
+            v.addElement(PROP_ENTRY
+                    + Integer.toString(i) + "_" + PROP_NAME_TYPE + ";" + IGeneralNameUtil.GENNAME_CHOICE_INFO);
+            v.addElement(PROP_ENTRY
+                    + Integer.toString(i) + "_" + PROP_PORT_NUMBER + ";string;" + "The port number (optional).");
         }
         return com.netscape.cmsutil.util.Utils.getStringArrayFromVector(v);
     }
@@ -116,8 +116,8 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
     /**
      * Returns a sequence of scope entry.
      */
-    private Vector getScopeEntries() throws EBaseException {
-        Vector entries = new Vector();
+    private Vector<CertificateScopeEntry> getScopeEntries() throws EBaseException {
+        Vector<CertificateScopeEntry> entries = new Vector<CertificateScopeEntry>();
 
         //
         // read until there is *NO* ad<NUM>_method
@@ -190,7 +190,7 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
                         certInfo.get(X509CertInfo.EXTENSIONS);
 
                 // add access descriptions
-                Vector entries = getScopeEntries();
+                Vector<CertificateScopeEntry> entries = getScopeEntries();
 
                 if (entries.size() == 0) {
                     return res;
@@ -247,8 +247,8 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         try {
             params.addElement(PROP_CRITICAL + "=" +
@@ -303,8 +303,8 @@ public class CertificateScopeOfUseExt extends APolicyRule implements
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
index 98ab09166842657521adf878af29f4c0ee3c02d3..65ef6b937817e6b43c6d5dfd58f80cf0904a01ca 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
@@ -59,7 +59,7 @@ public class ExtendedKeyUsageExt extends APolicyRule
     protected static int MAX_PURPOSE_ID = 10;
     private boolean mCritical = false;
     private IConfigStore mConfig = null;
-    private Vector mUsages = null;
+    private Vector<ObjectIdentifier> mUsages = null;
 
     private String[] mParams = null;
 
@@ -156,8 +156,8 @@ public class ExtendedKeyUsageExt extends APolicyRule
     /**
      * Returns instance specific parameters.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_CRITICAL + "=" + mCritical);
         int numIds = MAX_PURPOSE_ID;
@@ -188,7 +188,7 @@ public class ExtendedKeyUsageExt extends APolicyRule
     }
 
     private void setExtendedPluginInfo() {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
         int mNum = MAX_PURPOSE_ID;
 
         if (mConfig != null) {
@@ -228,8 +228,8 @@ public class ExtendedKeyUsageExt extends APolicyRule
     /**
      * Returns default parameters.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         defParams.addElement(PROP_NUM_IDS + "=" + MAX_PURPOSE_ID);
@@ -246,7 +246,7 @@ public class ExtendedKeyUsageExt extends APolicyRule
 
         mCritical = mConfig.getBoolean(PROP_CRITICAL, false);
         if (mUsages == null) {
-            mUsages = new Vector();
+            mUsages = new Vector<ObjectIdentifier>();
         }
 
         int mNum = mConfig.getInteger(PROP_NUM_IDS, MAX_PURPOSE_ID);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java b/pki/base/common/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java
index 495788a1a4bef77e4f77f31de179593efb2ac999..0202ee784e5efcb47737fbccece07f91837597eb 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java
@@ -388,7 +388,7 @@ public class GenericASN1Ext extends APolicyRule implements
                 // Create the extension
                 GenericASN1Extension priExt = mkExtension();
 
-                extensions.set(GenericASN1Extension.NAME, priExt);
+                extensions.set(priExt.getName(), priExt);
 
             } catch (IOException e) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("BASE_IO_ERROR", e.getMessage()));
@@ -429,9 +429,9 @@ public class GenericASN1Ext extends APolicyRule implements
             throws IOException, EBaseException, ParseException {
         GenericASN1Extension ext;
 
-        Hashtable h = new Hashtable();
+        Hashtable<String, String> h = new Hashtable<String, String>();
         // This only show one level, not substores!
-        Enumeration e = mConfig.getPropertyNames();
+        Enumeration<String> e = mConfig.getPropertyNames();
 
         while (e.hasMoreElements()) {
             String n = (String) e.nextElement();
@@ -456,9 +456,9 @@ public class GenericASN1Ext extends APolicyRule implements
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         int idx = 0;
-        Vector params = new Vector();
+        Vector<String> params = new Vector<String>();
 
         try {
             params.addElement(PROP_CRITICAL + "=" + mConfig.getBoolean(PROP_CRITICAL, false));
@@ -488,10 +488,10 @@ public class GenericASN1Ext extends APolicyRule implements
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         int idx = 0;
 
-        Vector defParams = new Vector();
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         defParams.addElement(PROP_NAME + "=");
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
index b76651ea6cf10f20d4cc82dac073c635a829e053..21afaa18858138478a473abcae071166c7ee41e1 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
@@ -62,14 +62,14 @@ public class IssuerAltNameExt extends APolicyRule
     // PKIX specifies the that the extension SHOULD NOT be critical
     public static final boolean DEFAULT_CRITICALITY = false;
 
-    private static Vector defaultParams = new Vector();
+    private static Vector<String> defaultParams = new Vector<String>();
     private static String[] mInfo = null;
 
     static {
         defaultParams.addElement(PROP_CRITICAL + "=" + DEFAULT_CRITICALITY);
         CMS.getGeneralNamesConfigDefaultParams(null, true, defaultParams);
 
-        Vector info = new Vector();
+        Vector<String> info = new Vector<String>();
 
         info.addElement(PROP_CRITICAL + ";boolean;RFC 2459 recommendation: SHOULD NOT be marked critical.");
         info.addElement(IExtendedPluginInfo.HELP_TOKEN +
@@ -84,7 +84,7 @@ public class IssuerAltNameExt extends APolicyRule
         info.copyInto(mInfo);
     }
 
-    private Vector mParams = new Vector();
+    private Vector<String> mParams = new Vector<String>();
     private IConfigStore mConfig = null;
     private boolean mCritical = DEFAULT_CRITICALITY;
     private boolean mEnabled = false;
@@ -230,7 +230,7 @@ public class IssuerAltNameExt extends APolicyRule
      * @return Empty Vector since this policy has no configuration parameters.
      *         for this policy instance.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mParams;
     }
 
@@ -240,7 +240,7 @@ public class IssuerAltNameExt extends APolicyRule
      * @return Empty Vector since this policy implementation has no
      *         configuration parameters.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return defaultParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
index e89aa8488ee860add39a39358ae4bd272556fe06..037206b89e3b6e84ab0151effc33b222fe80f2b4 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
@@ -282,8 +282,8 @@ public class KeyUsageExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_CRITICAL + "=" + mCritical);
         params.addElement(PROP_DIGITAL_SIGNATURE + "=" + mDigitalSignature);
@@ -298,7 +298,7 @@ public class KeyUsageExt extends APolicyRule
         return params;
     }
 
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         mDefParams.addElement(PROP_CRITICAL + "=true");
         mDefParams.addElement(PROP_DIGITAL_SIGNATURE + "=");
@@ -348,7 +348,7 @@ public class KeyUsageExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
index 7540191f31229314a3d7bd9baa29e87044f6487f..f3ae4efa4d5472c3559f0045ec00a2284b7652b6 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
@@ -71,7 +71,7 @@ public class NSCCommentExt extends APolicyRule
     protected String mCommentFile;
     protected String mInputType;
     protected boolean mCritical;
-    private Vector mParams = new Vector();
+    private Vector<String> mParams = new Vector<String>();
 
     protected String tempCommentFile;
     protected boolean certApplied = false;
@@ -276,7 +276,7 @@ public class NSCCommentExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mParams;
     }
 
@@ -285,8 +285,8 @@ public class NSCCommentExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         defParams.addElement(PROP_INPUT_TYPE + "=" + TEXT);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
index 195a8792ae546bd23e59c475ba7f19cca9053f40..8903535dd2700249093d02e6ac4bee96665cf8b5 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
@@ -494,8 +494,8 @@ public class NSCertTypeExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_CRITICAL + "=" + mCritical);
         params.addElement(PROP_SET_DEFAULT_BITS + "=" + mSetDefaultBits);
@@ -503,7 +503,7 @@ public class NSCertTypeExt extends APolicyRule
         return params;
     }
 
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         mDefParams.addElement(
                 PROP_CRITICAL + "=false");
@@ -532,7 +532,7 @@ public class NSCertTypeExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefParams;
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
index 3492ea5ede10e4a196b08ca2e1e12d8b5a7f5d9c..f010bf3f1c5fe02206c6227346f3a7b06113d991 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
@@ -79,7 +79,7 @@ public class NameConstraintsExt extends APolicyRule
     protected Subtree[] mExcludedSubtrees = null;
     protected NameConstraintsExtension mNameConstraintsExtension = null;
 
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
 
     public NameConstraintsExt() {
         NAME = "NameConstraintsExt";
@@ -157,13 +157,13 @@ public class NameConstraintsExt extends APolicyRule
         // create instance of name constraints extension if enabled.
         if (mEnabled) {
             try {
-                Vector permittedSubtrees = new Vector();
+                Vector<GeneralSubtree> permittedSubtrees = new Vector<GeneralSubtree>();
 
                 for (int i = 0; i < mNumPermittedSubtrees; i++) {
                     permittedSubtrees.addElement(
                             mPermittedSubtrees[i].mGeneralSubtree);
                 }
-                Vector excludedSubtrees = new Vector();
+                Vector<GeneralSubtree> excludedSubtrees = new Vector<GeneralSubtree>();
 
                 for (int j = 0; j < mNumExcludedSubtrees; j++) {
                     excludedSubtrees.addElement(
@@ -323,7 +323,7 @@ public class NameConstraintsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mInstanceParams;
     }
 
@@ -333,7 +333,7 @@ public class NameConstraintsExt extends APolicyRule
      * increase the num to greater than 0 and more configuration params
      * will show up in the console.
      */
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         mDefParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
         mDefParams.addElement(
@@ -353,12 +353,12 @@ public class NameConstraintsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefParams;
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector theparams = new Vector();
+        Vector<String> theparams = new Vector<String>();
 
         theparams.addElement(PROP_CRITICAL + ";boolean;RFC 2459 recommendation: MUST be critical.");
         theparams.addElement(
@@ -447,13 +447,13 @@ class Subtree {
         }
     }
 
-    void getInstanceParams(Vector instanceParams) {
+    void getInstanceParams(Vector<String> instanceParams) {
         mBase.getInstanceParams(instanceParams);
         instanceParams.addElement(mNameDotMin + "=" + mMin);
         instanceParams.addElement(mNameDotMax + "=" + mMax);
     }
 
-    static void getDefaultParams(String name, Vector params) {
+    static void getDefaultParams(String name, Vector<String> params) {
         String nameDot = "";
 
         if (name != null && name.length() >= 0)
@@ -463,7 +463,7 @@ class Subtree {
         params.addElement(nameDot + PROP_MAX + "=" + DEF_MAX);
     }
 
-    static void getExtendedPluginInfo(String name, Vector info) {
+    static void getExtendedPluginInfo(String name, Vector<String> info) {
         String nameDot = "";
 
         if (name != null && name.length() > 0)
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
index 2bb3ff803eb8d516f06b135857be0e34c1b457bb..33f2f85e04aa84a2ff3862876c7ff8b31d1d0a51 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
@@ -169,8 +169,8 @@ public class OCSPNoCheckExt extends APolicyRule
     /**
      * Returns instance parameters.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_CRITICAL + "=" + mCritical);
         return params;
@@ -180,8 +180,8 @@ public class OCSPNoCheckExt extends APolicyRule
     /**
      * Returns default parameters.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_CRITICAL + "=false");
         return defParams;
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
index ec67627019b89962a09ffa554296e090ed2008e6..861107b8e9ec8e4aca22f8e208ed5f3ceb9b9e55 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
@@ -71,9 +71,9 @@ public class PolicyConstraintsExt extends APolicyRule
     protected int mInhibitPolicyMapping = DEF_INHIBIT_POLICY_MAPPING;
     protected PolicyConstraintsExtension mPolicyConstraintsExtension = null;
 
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
 
-    protected static Vector mDefaultParams = new Vector();
+    protected static Vector<String> mDefaultParams = new Vector<String>();
     static {
         mDefaultParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
         mDefaultParams.addElement(
@@ -250,7 +250,7 @@ public class PolicyConstraintsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mInstanceParams;
     }
 
@@ -259,7 +259,7 @@ public class PolicyConstraintsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefaultParams;
     }
 
@@ -280,7 +280,7 @@ public class PolicyConstraintsExt extends APolicyRule
                 PROP_INHIBIT_POLICY_MAPPING
                         + ";integer;Number of addional certificates that may appear in the path before policy mapping is no longer permitted. If less than 0 this field is unset in the extension.",
                 IExtendedPluginInfo.HELP_TOKEN + ";configuration-policyrules-policyconstraints"
-            };
+        };
 
         return params;
     }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
index f3ef6c710407c0178960eea754ad25bfb3c3bbd0..7623f455f414289c5428a2301a3a880f7b98bbaa 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
@@ -74,7 +74,7 @@ public class PolicyMappingsExt extends APolicyRule
     protected PolicyMap[] mPolicyMaps = null;
     protected PolicyMappingsExtension mPolicyMappingsExtension = null;
 
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
 
     public PolicyMappingsExt() {
         NAME = "PolicyMappingsExt";
@@ -146,7 +146,7 @@ public class PolicyMappingsExt extends APolicyRule
         // create instance of policy mappings extension if enabled.
         if (mEnabled) {
             try {
-                Vector certPolicyMaps = new Vector();
+                Vector<CertificatePolicyMap> certPolicyMaps = new Vector<CertificatePolicyMap>();
 
                 for (int j = 0; j < mNumPolicyMappings; j++) {
                     certPolicyMaps.addElement(
@@ -261,7 +261,7 @@ public class PolicyMappingsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mInstanceParams;
     }
 
@@ -271,7 +271,7 @@ public class PolicyMappingsExt extends APolicyRule
      * increase the num to greater than 0 and more configuration params
      * will show up in the console.
      */
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         mDefParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
         mDefParams.addElement(
@@ -289,12 +289,12 @@ public class PolicyMappingsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefParams;
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector theparams = new Vector();
+        Vector<String> theparams = new Vector<String>();
 
         theparams.addElement(PROP_CRITICAL + ";boolean;RFC 2459 recommendation: MUST be non-critical.");
         theparams.addElement(PROP_NUM_POLICYMAPPINGS
@@ -414,7 +414,7 @@ class PolicyMap {
         }
     }
 
-    protected void getInstanceParams(Vector instanceParams) {
+    protected void getInstanceParams(Vector<String> instanceParams) {
         instanceParams.addElement(
                 mNameDot + PROP_ISSUER_DOMAIN_POLICY + "=" + (mIssuerDomainPolicy == null ? "" :
                         mIssuerDomainPolicy));
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java
index 4ce8709502d2c692158ba2ef0ade672161e30397..e13a7a84ca493ac67a27fc25115dec0a13e7784b 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PresenceExt.java
@@ -41,7 +41,7 @@ import com.netscape.cms.policy.APolicyRule;
  * @version $Revision$, $Date$
  */
 public class PresenceExt extends APolicyRule {
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     private IConfigStore mConfig = null;
     private String mOID = null;
     private boolean mCritical;
@@ -106,8 +106,8 @@ public class PresenceExt extends APolicyRule {
         return res;
     }
 
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_IS_CRITICAL + "=" + mCritical);
         params.addElement(PROP_OID + "=" + mOID);
@@ -151,7 +151,7 @@ public class PresenceExt extends APolicyRule {
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefParams;
     }
 }
